
void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);

	switch(Dialog.CurrentNode)
	{
		case "First time":
			dialog.text = "Hej! Odłóż to natychmiast!";
			link.l1 = "Hmm... wszystko oddam, naprawdę.";
			link.l1.go = "exit";
			link.l2 = "No i mnie mają!";
			link.l2.go = "exit";

			NextDiag.TempNode = "First time";
		break;

		case "Steal Quest Item":
			dialog.text = "Hej! Myślisz, że kim ty jesteś?!";
			link.l1 = "Cholera... Kogo obchodzi, co ja sobie myślę, potrzebuję tych rzeczy!";
			link.l1.go = "exit3";

			NextDiag.TempNode = "First time";
		break;

		case "Uuups":
			dialog.text = "Jesteś aresztowany za kradzież!";
			link.l1 = "Dobra, dobra. Zaraz wszystko oddam.";
			link.l1.go = "steal";
			link.l2 = "Ha! Mocne słowa, ciekawe, czy stoi za nimi równie mocne ciało!";
			link.l2.go = "fight";
		break;

		case "steal":
			dialog.text = "Obawiam się, że musisz zapłacić karę w wysokości " + (sti(pchar.rank)+100-sti(pchar.reputation))*100 + ".";
			if (sti(pchar.money) >= (sti(pchar.rank)+100-sti(pchar.reputation))*100)
			{
				link.l1 = "Oczywiście, oto pieniądze.";
				link.l1.go = "money";
			}
			link.l2 = "Nie mam zamiaru niczego płacić!";
			link.l2.go = "fight";
		break;

		case "money":
			StealMoney();
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;

		case "fight":
			dialog.text = "Cóż, widzę, że muszę się posunąć do przemocy.";
			link.l1 = "Wspaniale! Przekonamy się, jakiego koloru jest twoja krew!";
			link.l1.go = "exit2";
			pchar.steal.nation = npchar.nation;
			pchar.steal.character = npchar.id;
			AddDialogExitQuest("StealFight");
		break;

		case "Exit2":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;

		case "Exit3":
			StealQuestItem(npchar);
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;

		case "Exit":
			AddDialogExitQuest("prepare_steal");
			ReturnStealCharacter(npchar);
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;
	}
}

